#
# spec file for package gxsnmp (Version 0.0.15.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel gettext glib glib-devel gnome-libs gnome-libs-devel gnome-print gtk gtk-devel guile imlib imlib-config imlib-devel indent libjpeg libpng libsmi libtiff libungif libxml libxml-devel mysql mysql-devel orbit orbit-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-print gpm gppshare grep groff gtk gtk-devel guile gzip imlib imlib-config imlib-devel indent kbd less libjpeg libpng libsmi libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils mysql mysql-devel ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gxsnmp
%define ver      0.0.15.1
%define rel      0
%define prefix   /opt/gnome
%define sysconfdir /etc/opt/gnome
Copyright:    1999 - not specified
Group:        X11/GNOME/Network 
Provides:     gxsnmp 
# Requires:     orbit mysql mysqldev
Autoreqprov:  on
Summary:      GNOME SNMP Manager
Version:      0.0.15.1
Release:      257
# Original Source: http://www.gxsnmp.org/release/gxsnmp-0.0.15.1.tar.gz
Source:       http://www.gxsnmp.org/release/gxsnmp-0.0.15.1.tar.bz2
Patch:        gxsnmp-0.0.15.1.dif
BuildRoot:    /var/tmp/gxsnmp-root
URL: http://www.gxsnmp.org
# Docdir: %{prefix}/doc

%description 
Cf. http://www.gxsnmp.org/

Authors:
--------
    Gregory McLean <gregm@comstar.net>
    Jochen Friedrich <jochen@scram.de>
    John Schulien <jms@uic.edu>

SuSE series: gnm

%prep
%setup
%patch		 

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS `gtk-config --cflags gtk`" \
    ./configure  --prefix=%prefix \
                 --localstatedir=/var/lib \
                 --sysconfdir=%sysconfdir
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} \
     localstatedir=$RPM_BUILD_ROOT/var/lib \
     sysconfdir=$RPM_BUILD_ROOT/%{sysconfdir} install
export RPM_BUILD_ROOT
# %clean
# rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING NEWS README TODO
%{prefix}/bin
%{prefix}/lib/*
%{prefix}/info/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/gxsnmp
%{prefix}/share/gnome
%{prefix}/share/pixmaps
#%{sysconfdir}/mib.txt

%changelog -n gxsnmp
* Sat May 12 2001 - schwab@suse.de
- Fix missing declarations.
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Mon Apr 02 2001 - gs@suse.de
- configure moved from %%setup to %%build
* Fri Mar 30 2001 - gs@suse.de
- suse_update_config added
* Wed Mar 21 2001 - ro@suse.de
- added esound-devel to neededforbuild
* Tue Mar 13 2001 - gs@suse.de
- xf86 to neededforbuild added, CFLAGS="$RPM_OPT_FLAGS `gtk-config --cflags gtk`"
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Mon Nov 06 2000 - gs@suse.de
- Group tag changed to X11/GNOME/Network
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed May 03 2000 - gs@suse.de
- update: version 0.0.15.1 (version is the same as 0.0.15, but
  contains a patch to compile with the newer libsmi 0.2.)
* Tue Oct 26 1999 - gs@suse.de
- update: version 0.0.15
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 19 1999 - bs@suse.de
- added "export RPM_BUILD_ROOT" for Check
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Fri Apr 30 1999 - ke@suse.de
- initial packages: version 0.0.11.
